Package org.apache.storm.daemon.ui

## Class FilterConfiguration

- java.lang.Object
- - org.apache.storm.daemon.ui.FilterConfiguration

-     public class FilterConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilterConfiguration​(String filterClass, String filterName, Map<String,​String> filterParams)` | FilterConfiguration.
    `FilterConfiguration​(String filterClass, Map<String,​String> filterParams)` | FilterConfiguration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getFilterClass()` |
    `String` | `getFilterName()` |
    `Map<String,​String>` | `getFilterParams()` |
    `void` | `setFilterClass​(String filterClass)` |
    `void` | `setFilterName​(String filterName)` |
    `void` | `setFilterParams​(Map<String,​String> filterParams)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterConfiguration

          public FilterConfiguration​(String filterClass,
                                     Map<String,​String> filterParams)

      FilterConfiguration.
      Parameters:
        `filterClass` - filterClass
        `filterParams` - filterParams

    - #### FilterConfiguration

          public FilterConfiguration​(String filterClass,
                                     String filterName,
                                     Map<String,​String> filterParams)

      FilterConfiguration.
      Parameters:
        `filterClass` - filterClass
        `filterName` - filterName
        `filterParams` - filterParams

  - ### Method Detail

    - #### getFilterName

          public String getFilterName()

    - #### setFilterName

          public void setFilterName​(String filterName)

    - #### getFilterClass

          public String getFilterClass()

    - #### setFilterClass

          public void setFilterClass​(String filterClass)

    - #### getFilterParams

          public Map<String,​String> getFilterParams()

    - #### setFilterParams

          public void setFilterParams​(Map<String,​String> filterParams)